# original spec by ldv@

%define mpiimpl openmpi
%define mpidir %_libexecdir/openmpi

Name: libfftw3-mpi-devel
Version: 3.2r.1
Release: alt2

Summary: Library for computing Fast Fourier Transforms (with MPI support)
License: GPLv2+
Group: System/Libraries
Url: http://www.fftw.org/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# ftp://ftp.fftw.org/pub/fftw/fftw-%version.tar.gz
Source: fftw-%version.tar

BuildPreReq: gcc-fortran ghostscript-classic glibc-devel-static ocaml
BuildPreReq: libgfortran-devel-static libgomp-devel-static
BuildPreReq: %mpiimpl-devel-static

%description
FFTW is a free collection of fast C routines for computing the Discrete
Fourier Transform in one or more dimensions.  It includes complex, real,
symmetric, and parallel transforms, and can handle arbitrary array sizes
efficiently.  FFTW is typically faster than other publically-available
FFT implementations, and is even competitive with vendor-tuned libraries.
To achieve this performance, FFTW uses novel code-generation and runtime
self-optimization techniques (along with many other tricks).

This package contains headers and static libraries, double and long-double
precision, with MPI support.

%prep
%setup
mkdir double long-double

%build
mpi-selector --set %mpiimpl
source %mpidir/bin/mpivars.sh
export MPIDIR=%mpidir
%add_optflags %optflags_shared
%autoreconf

function buildIt() {
	ln -s ../configure .
	%configure $1 \
		--enable-portable-binary \
		--disable-shared \
		--enable-static \
		--enable-fma \
		--enable-mpi \
		--enable-openmp \
		--with-combined-threads
	%make_build
}

pushd double
cp ../mpi ./ -fR
buildIt
popd

pushd long-double
buildIt --enable-long-double
popd

%install
for i in double long-double; do
	%makeinstall includedir=%buildroot%_includedir/fftw3-mpi -C $i
done

%files
%_libdir/*.a
%_includedir/fftw3-mpi

%changelog
* Sun Jun 14 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.2r.1-alt2
- Rebuild with PIC

* Fri May 29 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.2r.1-alt1
- Version 3.2.1

* Wed May 27 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.2alpha3-alt1
- Initial build for Sisyphus

